﻿using Hotline.Share.Dtos.Order;

namespace DataSharing.Police110.DCJT110
{
    public interface IDcjtService
    {
        /// <summary>
        /// 组装110数据，12345警情工单推送到110
        /// </summary>
        /// <param name="orderDto"></param>
        /// <returns></returns>
        Task InitPoliceSendChainAlarmDcjtAsync(OrderDto orderDto, CancellationToken cancellationToken);

        /// <summary>
        /// 110的非警情工单获取办理信息
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task InitPoliceSendChainDealDcjtAsync(OrderFlowDto dto, CancellationToken cancellationToken);

        /// <summary>
        /// 110警情工单退回
        /// </summary>
        /// <param name="orderDto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task ReturnPoliceDcjtAsync(OrderDto orderDto, CancellationToken cancellationToken);

        /// <summary>
        /// 110回访数据
        /// </summary>
        /// <param name="dto"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task VisitDcjt(PublishVisitDto dto, CancellationToken cancellationToken);
    }
}
